/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: OtherAppConfig.java 71542 2013-04-10 15:02:49Z supol $
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.server.serverapplicationconfiginlib;

import java.util.HashSet;
import java.util.Set;

import javax.websocket.Endpoint;
import javax.websocket.server.ServerApplicationConfig;
import javax.websocket.server.ServerEndpointConfig;

import com.sun.ts.tests.websocket.ee.javax.websocket.server.serverapplicationconfig.WSOtherUsedServer;

public class OtherAppConfig implements ServerApplicationConfig {

	@Override
	public Set<ServerEndpointConfig> getEndpointConfigs(
			Set<Class<? extends Endpoint>> endpointClasses) {
	return null;
	}
	
	@Override
	public Set<Class<?>> getAnnotatedEndpointClasses(Set<Class<?>> scanned) { 
		Set<Class<?>> set = new HashSet<Class<?>>();
		set.add(WSOtherUsedServer.class);
		return set;
	}

}
